package com.ociweb.jnb.ex2;

import java.sql.Connection;

public class MockConnection implements Connection {

    public boolean createStatementCalled;
    public java.sql.Statement createStatementReturn;
    public Throwable createStatementException;
    public java.sql.Statement createStatement() throws java.sql.SQLException {
        createStatementCalled = true;
        if (createStatementException != null) {
            if (createStatementException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) createStatementException;
            if (createStatementException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) createStatementException;
            if (createStatementException instanceof java.lang.Error)
                throw (java.lang.Error) createStatementException;
            throw new RuntimeException();
        }
        return this.createStatementReturn;
    }

    public boolean prepareStatementCalled;
    public java.sql.PreparedStatement prepareStatementReturn;
    public Throwable prepareStatementException;
    public java.lang.String prepareStatementSql;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql) throws java.sql.SQLException {
        prepareStatementCalled = true;
        this.prepareStatementSql = sql;
        if (prepareStatementException != null) {
            if (prepareStatementException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatementException;
            if (prepareStatementException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatementException;
            if (prepareStatementException instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatementException;
            throw new RuntimeException();
        }
        return this.prepareStatementReturn;
    }

    public boolean prepareCallCalled;
    public java.sql.CallableStatement prepareCallReturn;
    public Throwable prepareCallException;
    public java.lang.String prepareCallSql;
    public java.sql.CallableStatement prepareCall(java.lang.String sql) throws java.sql.SQLException {
        prepareCallCalled = true;
        this.prepareCallSql = sql;
        if (prepareCallException != null) {
            if (prepareCallException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareCallException;
            if (prepareCallException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareCallException;
            if (prepareCallException instanceof java.lang.Error)
                throw (java.lang.Error) prepareCallException;
            throw new RuntimeException();
        }
        return this.prepareCallReturn;
    }

    public boolean nativeSQLCalled;
    public java.lang.String nativeSQLReturn;
    public Throwable nativeSQLException;
    public java.lang.String nativeSQLSql;
    public java.lang.String nativeSQL(java.lang.String sql) throws java.sql.SQLException {
        nativeSQLCalled = true;
        this.nativeSQLSql = sql;
        if (nativeSQLException != null) {
            if (nativeSQLException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) nativeSQLException;
            if (nativeSQLException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) nativeSQLException;
            if (nativeSQLException instanceof java.lang.Error)
                throw (java.lang.Error) nativeSQLException;
            throw new RuntimeException();
        }
        return this.nativeSQLReturn;
    }

    public boolean setAutoCommitCalled;
    public Throwable setAutoCommitException;
    public boolean setAutoCommitAutoCommit;
    public void setAutoCommit(boolean autoCommit) throws java.sql.SQLException {
        setAutoCommitCalled = true;
        this.setAutoCommitAutoCommit = autoCommit;
        if (setAutoCommitException != null) {
            if (setAutoCommitException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setAutoCommitException;
            if (setAutoCommitException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setAutoCommitException;
            if (setAutoCommitException instanceof java.lang.Error)
                throw (java.lang.Error) setAutoCommitException;
            throw new RuntimeException();
        }
    }

    public boolean getAutoCommitCalled;
    public boolean getAutoCommitReturn;
    public Throwable getAutoCommitException;
    public boolean getAutoCommit() throws java.sql.SQLException {
        getAutoCommitCalled = true;
        if (getAutoCommitException != null) {
            if (getAutoCommitException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getAutoCommitException;
            if (getAutoCommitException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getAutoCommitException;
            if (getAutoCommitException instanceof java.lang.Error)
                throw (java.lang.Error) getAutoCommitException;
            throw new RuntimeException();
        }
        return this.getAutoCommitReturn;
    }

    public boolean commitCalled;
    public Throwable commitException;
    public void commit() throws java.sql.SQLException {
        commitCalled = true;
        if (commitException != null) {
            if (commitException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) commitException;
            if (commitException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) commitException;
            if (commitException instanceof java.lang.Error)
                throw (java.lang.Error) commitException;
            throw new RuntimeException();
        }
    }

    public boolean rollbackCalled;
    public Throwable rollbackException;
    public void rollback() throws java.sql.SQLException {
        rollbackCalled = true;
        if (rollbackException != null) {
            if (rollbackException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) rollbackException;
            if (rollbackException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) rollbackException;
            if (rollbackException instanceof java.lang.Error)
                throw (java.lang.Error) rollbackException;
            throw new RuntimeException();
        }
    }

    public boolean closeCalled;
    public Throwable closeException;
    public void close() throws java.sql.SQLException {
        closeCalled = true;
        if (closeException != null) {
            if (closeException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) closeException;
            if (closeException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) closeException;
            if (closeException instanceof java.lang.Error)
                throw (java.lang.Error) closeException;
            throw new RuntimeException();
        }
    }

    public boolean isClosedCalled;
    public boolean isClosedReturn;
    public Throwable isClosedException;
    public boolean isClosed() throws java.sql.SQLException {
        isClosedCalled = true;
        if (isClosedException != null) {
            if (isClosedException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) isClosedException;
            if (isClosedException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) isClosedException;
            if (isClosedException instanceof java.lang.Error)
                throw (java.lang.Error) isClosedException;
            throw new RuntimeException();
        }
        return this.isClosedReturn;
    }

    public boolean getMetaDataCalled;
    public java.sql.DatabaseMetaData getMetaDataReturn;
    public Throwable getMetaDataException;
    public java.sql.DatabaseMetaData getMetaData() throws java.sql.SQLException {
        getMetaDataCalled = true;
        if (getMetaDataException != null) {
            if (getMetaDataException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getMetaDataException;
            if (getMetaDataException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getMetaDataException;
            if (getMetaDataException instanceof java.lang.Error)
                throw (java.lang.Error) getMetaDataException;
            throw new RuntimeException();
        }
        return this.getMetaDataReturn;
    }

    public boolean setReadOnlyCalled;
    public Throwable setReadOnlyException;
    public boolean setReadOnlyReadOnly;
    public void setReadOnly(boolean readOnly) throws java.sql.SQLException {
        setReadOnlyCalled = true;
        this.setReadOnlyReadOnly = readOnly;
        if (setReadOnlyException != null) {
            if (setReadOnlyException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setReadOnlyException;
            if (setReadOnlyException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setReadOnlyException;
            if (setReadOnlyException instanceof java.lang.Error)
                throw (java.lang.Error) setReadOnlyException;
            throw new RuntimeException();
        }
    }

    public boolean isReadOnlyCalled;
    public boolean isReadOnlyReturn;
    public Throwable isReadOnlyException;
    public boolean isReadOnly() throws java.sql.SQLException {
        isReadOnlyCalled = true;
        if (isReadOnlyException != null) {
            if (isReadOnlyException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) isReadOnlyException;
            if (isReadOnlyException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) isReadOnlyException;
            if (isReadOnlyException instanceof java.lang.Error)
                throw (java.lang.Error) isReadOnlyException;
            throw new RuntimeException();
        }
        return this.isReadOnlyReturn;
    }

    public boolean setCatalogCalled;
    public Throwable setCatalogException;
    public java.lang.String setCatalogCatalog;
    public void setCatalog(java.lang.String catalog) throws java.sql.SQLException {
        setCatalogCalled = true;
        this.setCatalogCatalog = catalog;
        if (setCatalogException != null) {
            if (setCatalogException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setCatalogException;
            if (setCatalogException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCatalogException;
            if (setCatalogException instanceof java.lang.Error)
                throw (java.lang.Error) setCatalogException;
            throw new RuntimeException();
        }
    }

    public boolean getCatalogCalled;
    public java.lang.String getCatalogReturn;
    public Throwable getCatalogException;
    public java.lang.String getCatalog() throws java.sql.SQLException {
        getCatalogCalled = true;
        if (getCatalogException != null) {
            if (getCatalogException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getCatalogException;
            if (getCatalogException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getCatalogException;
            if (getCatalogException instanceof java.lang.Error)
                throw (java.lang.Error) getCatalogException;
            throw new RuntimeException();
        }
        return this.getCatalogReturn;
    }

    public boolean setTransactionIsolationCalled;
    public Throwable setTransactionIsolationException;
    public int setTransactionIsolationLevel;
    public void setTransactionIsolation(int level) throws java.sql.SQLException {
        setTransactionIsolationCalled = true;
        this.setTransactionIsolationLevel = level;
        if (setTransactionIsolationException != null) {
            if (setTransactionIsolationException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setTransactionIsolationException;
            if (setTransactionIsolationException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTransactionIsolationException;
            if (setTransactionIsolationException instanceof java.lang.Error)
                throw (java.lang.Error) setTransactionIsolationException;
            throw new RuntimeException();
        }
    }

    public boolean getTransactionIsolationCalled;
    public int getTransactionIsolationReturn;
    public Throwable getTransactionIsolationException;
    public int getTransactionIsolation() throws java.sql.SQLException {
        getTransactionIsolationCalled = true;
        if (getTransactionIsolationException != null) {
            if (getTransactionIsolationException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getTransactionIsolationException;
            if (getTransactionIsolationException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getTransactionIsolationException;
            if (getTransactionIsolationException instanceof java.lang.Error)
                throw (java.lang.Error) getTransactionIsolationException;
            throw new RuntimeException();
        }
        return this.getTransactionIsolationReturn;
    }

    public boolean getWarningsCalled;
    public java.sql.SQLWarning getWarningsReturn;
    public Throwable getWarningsException;
    public java.sql.SQLWarning getWarnings() throws java.sql.SQLException {
        getWarningsCalled = true;
        if (getWarningsException != null) {
            if (getWarningsException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getWarningsException;
            if (getWarningsException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getWarningsException;
            if (getWarningsException instanceof java.lang.Error)
                throw (java.lang.Error) getWarningsException;
            throw new RuntimeException();
        }
        return this.getWarningsReturn;
    }

    public boolean clearWarningsCalled;
    public Throwable clearWarningsException;
    public void clearWarnings() throws java.sql.SQLException {
        clearWarningsCalled = true;
        if (clearWarningsException != null) {
            if (clearWarningsException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) clearWarningsException;
            if (clearWarningsException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) clearWarningsException;
            if (clearWarningsException instanceof java.lang.Error)
                throw (java.lang.Error) clearWarningsException;
            throw new RuntimeException();
        }
    }

    public boolean createStatement2Called;
    public java.sql.Statement createStatement2Return;
    public Throwable createStatement2Exception;
    public int createStatement2ResultSetType;
    public int createStatement2ResultSetConcurrency;
    public java.sql.Statement createStatement(int resultSetType, int resultSetConcurrency) throws java.sql.SQLException {
        createStatement2Called = true;
        this.createStatement2ResultSetType = resultSetType;
        this.createStatement2ResultSetConcurrency = resultSetConcurrency;
        if (createStatement2Exception != null) {
            if (createStatement2Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) createStatement2Exception;
            if (createStatement2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) createStatement2Exception;
            if (createStatement2Exception instanceof java.lang.Error)
                throw (java.lang.Error) createStatement2Exception;
            throw new RuntimeException();
        }
        return this.createStatement2Return;
    }

    public boolean prepareStatement2Called;
    public java.sql.PreparedStatement prepareStatement2Return;
    public Throwable prepareStatement2Exception;
    public java.lang.String prepareStatement2Sql;
    public int prepareStatement2ResultSetType;
    public int prepareStatement2ResultSetConcurrency;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency) throws java.sql.SQLException {
        prepareStatement2Called = true;
        this.prepareStatement2Sql = sql;
        this.prepareStatement2ResultSetType = resultSetType;
        this.prepareStatement2ResultSetConcurrency = resultSetConcurrency;
        if (prepareStatement2Exception != null) {
            if (prepareStatement2Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatement2Exception;
            if (prepareStatement2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatement2Exception;
            if (prepareStatement2Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatement2Exception;
            throw new RuntimeException();
        }
        return this.prepareStatement2Return;
    }

    public boolean prepareCall2Called;
    public java.sql.CallableStatement prepareCall2Return;
    public Throwable prepareCall2Exception;
    public java.lang.String prepareCall2Sql;
    public int prepareCall2ResultSetType;
    public int prepareCall2ResultSetConcurrency;
    public java.sql.CallableStatement prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency) throws java.sql.SQLException {
        prepareCall2Called = true;
        this.prepareCall2Sql = sql;
        this.prepareCall2ResultSetType = resultSetType;
        this.prepareCall2ResultSetConcurrency = resultSetConcurrency;
        if (prepareCall2Exception != null) {
            if (prepareCall2Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareCall2Exception;
            if (prepareCall2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareCall2Exception;
            if (prepareCall2Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareCall2Exception;
            throw new RuntimeException();
        }
        return this.prepareCall2Return;
    }

    public boolean getTypeMapCalled;
    public java.util.Map getTypeMapReturn;
    public Throwable getTypeMapException;
    public java.util.Map getTypeMap() throws java.sql.SQLException {
        getTypeMapCalled = true;
        if (getTypeMapException != null) {
            if (getTypeMapException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getTypeMapException;
            if (getTypeMapException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getTypeMapException;
            if (getTypeMapException instanceof java.lang.Error)
                throw (java.lang.Error) getTypeMapException;
            throw new RuntimeException();
        }
        return this.getTypeMapReturn;
    }

    public boolean setTypeMapCalled;
    public Throwable setTypeMapException;
    public java.util.Map setTypeMapMap;
    public void setTypeMap(java.util.Map map) throws java.sql.SQLException {
        setTypeMapCalled = true;
        this.setTypeMapMap = map;
        if (setTypeMapException != null) {
            if (setTypeMapException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setTypeMapException;
            if (setTypeMapException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTypeMapException;
            if (setTypeMapException instanceof java.lang.Error)
                throw (java.lang.Error) setTypeMapException;
            throw new RuntimeException();
        }
    }

    public boolean setHoldabilityCalled;
    public Throwable setHoldabilityException;
    public int setHoldabilityHoldability;
    public void setHoldability(int holdability) throws java.sql.SQLException {
        setHoldabilityCalled = true;
        this.setHoldabilityHoldability = holdability;
        if (setHoldabilityException != null) {
            if (setHoldabilityException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setHoldabilityException;
            if (setHoldabilityException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setHoldabilityException;
            if (setHoldabilityException instanceof java.lang.Error)
                throw (java.lang.Error) setHoldabilityException;
            throw new RuntimeException();
        }
    }

    public boolean getHoldabilityCalled;
    public int getHoldabilityReturn;
    public Throwable getHoldabilityException;
    public int getHoldability() throws java.sql.SQLException {
        getHoldabilityCalled = true;
        if (getHoldabilityException != null) {
            if (getHoldabilityException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) getHoldabilityException;
            if (getHoldabilityException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) getHoldabilityException;
            if (getHoldabilityException instanceof java.lang.Error)
                throw (java.lang.Error) getHoldabilityException;
            throw new RuntimeException();
        }
        return this.getHoldabilityReturn;
    }

    public boolean setSavepointCalled;
    public java.sql.Savepoint setSavepointReturn;
    public Throwable setSavepointException;
    public java.sql.Savepoint setSavepoint() throws java.sql.SQLException {
        setSavepointCalled = true;
        if (setSavepointException != null) {
            if (setSavepointException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setSavepointException;
            if (setSavepointException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setSavepointException;
            if (setSavepointException instanceof java.lang.Error)
                throw (java.lang.Error) setSavepointException;
            throw new RuntimeException();
        }
        return this.setSavepointReturn;
    }

    public boolean setSavepoint2Called;
    public java.sql.Savepoint setSavepoint2Return;
    public Throwable setSavepoint2Exception;
    public java.lang.String setSavepoint2Name;
    public java.sql.Savepoint setSavepoint(java.lang.String name) throws java.sql.SQLException {
        setSavepoint2Called = true;
        this.setSavepoint2Name = name;
        if (setSavepoint2Exception != null) {
            if (setSavepoint2Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) setSavepoint2Exception;
            if (setSavepoint2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setSavepoint2Exception;
            if (setSavepoint2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setSavepoint2Exception;
            throw new RuntimeException();
        }
        return this.setSavepoint2Return;
    }

    public boolean rollback2Called;
    public Throwable rollback2Exception;
    public java.sql.Savepoint rollback2Savepoint;
    public void rollback(java.sql.Savepoint savepoint) throws java.sql.SQLException {
        rollback2Called = true;
        this.rollback2Savepoint = savepoint;
        if (rollback2Exception != null) {
            if (rollback2Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) rollback2Exception;
            if (rollback2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) rollback2Exception;
            if (rollback2Exception instanceof java.lang.Error)
                throw (java.lang.Error) rollback2Exception;
            throw new RuntimeException();
        }
    }

    public boolean releaseSavepointCalled;
    public Throwable releaseSavepointException;
    public java.sql.Savepoint releaseSavepointSavepoint;
    public void releaseSavepoint(java.sql.Savepoint savepoint) throws java.sql.SQLException {
        releaseSavepointCalled = true;
        this.releaseSavepointSavepoint = savepoint;
        if (releaseSavepointException != null) {
            if (releaseSavepointException instanceof java.sql.SQLException)
                throw (java.sql.SQLException) releaseSavepointException;
            if (releaseSavepointException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) releaseSavepointException;
            if (releaseSavepointException instanceof java.lang.Error)
                throw (java.lang.Error) releaseSavepointException;
            throw new RuntimeException();
        }
    }

    public boolean createStatement3Called;
    public java.sql.Statement createStatement3Return;
    public Throwable createStatement3Exception;
    public int createStatement3ResultSetType;
    public int createStatement3ResultSetConcurrency;
    public int createStatement3ResultSetHoldability;
    public java.sql.Statement createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability) throws java.sql.SQLException {
        createStatement3Called = true;
        this.createStatement3ResultSetType = resultSetType;
        this.createStatement3ResultSetConcurrency = resultSetConcurrency;
        this.createStatement3ResultSetHoldability = resultSetHoldability;
        if (createStatement3Exception != null) {
            if (createStatement3Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) createStatement3Exception;
            if (createStatement3Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) createStatement3Exception;
            if (createStatement3Exception instanceof java.lang.Error)
                throw (java.lang.Error) createStatement3Exception;
            throw new RuntimeException();
        }
        return this.createStatement3Return;
    }

    public boolean prepareStatement3Called;
    public java.sql.PreparedStatement prepareStatement3Return;
    public Throwable prepareStatement3Exception;
    public java.lang.String prepareStatement3Sql;
    public int prepareStatement3ResultSetType;
    public int prepareStatement3ResultSetConcurrency;
    public int prepareStatement3ResultSetHoldability;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability) throws java.sql.SQLException {
        prepareStatement3Called = true;
        this.prepareStatement3Sql = sql;
        this.prepareStatement3ResultSetType = resultSetType;
        this.prepareStatement3ResultSetConcurrency = resultSetConcurrency;
        this.prepareStatement3ResultSetHoldability = resultSetHoldability;
        if (prepareStatement3Exception != null) {
            if (prepareStatement3Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatement3Exception;
            if (prepareStatement3Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatement3Exception;
            if (prepareStatement3Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatement3Exception;
            throw new RuntimeException();
        }
        return this.prepareStatement3Return;
    }

    public boolean prepareCall3Called;
    public java.sql.CallableStatement prepareCall3Return;
    public Throwable prepareCall3Exception;
    public java.lang.String prepareCall3Sql;
    public int prepareCall3ResultSetType;
    public int prepareCall3ResultSetConcurrency;
    public int prepareCall3ResultSetHoldability;
    public java.sql.CallableStatement prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability) throws java.sql.SQLException {
        prepareCall3Called = true;
        this.prepareCall3Sql = sql;
        this.prepareCall3ResultSetType = resultSetType;
        this.prepareCall3ResultSetConcurrency = resultSetConcurrency;
        this.prepareCall3ResultSetHoldability = resultSetHoldability;
        if (prepareCall3Exception != null) {
            if (prepareCall3Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareCall3Exception;
            if (prepareCall3Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareCall3Exception;
            if (prepareCall3Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareCall3Exception;
            throw new RuntimeException();
        }
        return this.prepareCall3Return;
    }

    public boolean prepareStatement4Called;
    public java.sql.PreparedStatement prepareStatement4Return;
    public Throwable prepareStatement4Exception;
    public java.lang.String prepareStatement4Sql;
    public int prepareStatement4AutoGeneratedKeys;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql, int autoGeneratedKeys) throws java.sql.SQLException {
        prepareStatement4Called = true;
        this.prepareStatement4Sql = sql;
        this.prepareStatement4AutoGeneratedKeys = autoGeneratedKeys;
        if (prepareStatement4Exception != null) {
            if (prepareStatement4Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatement4Exception;
            if (prepareStatement4Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatement4Exception;
            if (prepareStatement4Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatement4Exception;
            throw new RuntimeException();
        }
        return this.prepareStatement4Return;
    }

    public boolean prepareStatement5Called;
    public java.sql.PreparedStatement prepareStatement5Return;
    public Throwable prepareStatement5Exception;
    public java.lang.String prepareStatement5Sql;
    public int[] prepareStatement5ColumnIndexes;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql, int[] columnIndexes) throws java.sql.SQLException {
        prepareStatement5Called = true;
        this.prepareStatement5Sql = sql;
        this.prepareStatement5ColumnIndexes = columnIndexes;
        if (prepareStatement5Exception != null) {
            if (prepareStatement5Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatement5Exception;
            if (prepareStatement5Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatement5Exception;
            if (prepareStatement5Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatement5Exception;
            throw new RuntimeException();
        }
        return this.prepareStatement5Return;
    }

    public boolean prepareStatement6Called;
    public java.sql.PreparedStatement prepareStatement6Return;
    public Throwable prepareStatement6Exception;
    public java.lang.String prepareStatement6Sql;
    public java.lang.String[] prepareStatement6ColumnNames;
    public java.sql.PreparedStatement prepareStatement(java.lang.String sql, java.lang.String[] columnNames) throws java.sql.SQLException {
        prepareStatement6Called = true;
        this.prepareStatement6Sql = sql;
        this.prepareStatement6ColumnNames = columnNames;
        if (prepareStatement6Exception != null) {
            if (prepareStatement6Exception instanceof java.sql.SQLException)
                throw (java.sql.SQLException) prepareStatement6Exception;
            if (prepareStatement6Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) prepareStatement6Exception;
            if (prepareStatement6Exception instanceof java.lang.Error)
                throw (java.lang.Error) prepareStatement6Exception;
            throw new RuntimeException();
        }
        return this.prepareStatement6Return;
    }

}